if exists (select * from sysobjects where id = object_id(N'pSelectedDatesExampleSelectedDatesDelete') and sysstat & 0xf = 4) drop procedure pSelectedDatesExampleSelectedDatesDelete 
GO

-- Deletes a record from the [dbo].[SelectedDates] table.
CREATE PROCEDURE pSelectedDatesExampleSelectedDatesDelete
        @pk_RecordId int
AS
BEGIN
    DELETE [dbo].[SelectedDates]
    WHERE [RecordId] = @pk_RecordId
END

